summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorscarab <scarab@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-08-17 17:52:23 +0000
committerscarab <scarab@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-08-17 17:52:23 +0000
commitbc81766556fc7d9fa7c07a9291eb968747938711 (patch)
treee188f6d87c1ae130c8735d316e6c6c3b5515c200
parent531f64d72827f7540e8c56b3e7648ac3a1f49045 (diff)
- server instaloval zbytecne data
- uprava authors (muj mejl a jabber) - build.sh vypisuje vic informaci o tom co provedl git-svn-id: http://opensvn.csie.org/tuxanci_ng@218 0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e
-rw-r--r--AUTHORS3
-rw-r--r--CMakeLists.txt1
-rw-r--r--data/font/CMakeLists.txt8
-rw-r--r--data/image/CMakeLists.txt8
-rwxr-xr-xpackaging/linux/build.sh21
5 files changed, 26 insertions, 15 deletions
diff --git a/AUTHORS b/AUTHORS
index 8f11015..42956d3 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -14,7 +14,8 @@ Michal Zima (xHire) <xhire@tuxportal.cz>
Jabber ID: Miczek@gmail.com
Additional programmer; web & IRC administrator
-Tomáš Chvátal (scarab) <Scarabeus_IV@blesmrt.net>
+Tomáš Chvátal (scarab) <tomas.chvatal@gmail.com>
+Jabber ID: Scarabeus_IV@isgeek.info
Additional programmer; cmake stuff; Windows port
Timoo <daac@post.cz>
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 0c3f790..ae73f41 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -104,6 +104,7 @@ ENDIF ( NOT Server )
IF ( Server )
ADD_DEFINITIONS ( -DPUBLIC_SERVER )
ADD_DEFINITIONS ( -DNO_SOUND )
+ SET ( NO_Audio "ON" )
INCLUDE_DIRECTORIES ( ${WORKDIR}/server )
ENDIF ( Server )
###############################################################################
diff --git a/data/font/CMakeLists.txt b/data/font/CMakeLists.txt
index 3c9e283..14e173b 100644
--- a/data/font/CMakeLists.txt
+++ b/data/font/CMakeLists.txt
@@ -7,7 +7,9 @@
###############################################################################
# CURRENT DIRECTORY FILES
###############################################################################
-FILE ( GLOB files "*.ttf" )
-INSTALL ( FILES ${files}
- DESTINATION ${CMAKE_INSTALL_DATADIR}/${APPNAME}/font/ )
+IF ( NOT Server )
+ FILE ( GLOB files "*.ttf" )
+ INSTALL ( FILES ${files}
+ DESTINATION ${CMAKE_INSTALL_DATADIR}/${APPNAME}/font/ )
+ENDIF ( NOT Server )
############################################################################### \ No newline at end of file
diff --git a/data/image/CMakeLists.txt b/data/image/CMakeLists.txt
index 4d428a1..48a7e27 100644
--- a/data/image/CMakeLists.txt
+++ b/data/image/CMakeLists.txt
@@ -7,7 +7,9 @@
###############################################################################
# CURRENT DIRECTORY FILES
###############################################################################
-FILE ( GLOB files "*.png" )
-INSTALL ( FILES ${files}
- DESTINATION ${CMAKE_INSTALL_DATADIR}/${APPNAME}/images/ )
+IF ( NOT Server )
+ FILE ( GLOB files "*.png" )
+ INSTALL ( FILES ${files}
+ DESTINATION ${CMAKE_INSTALL_DATADIR}/${APPNAME}/images/ )
+ENDIF ( NOT Server )
############################################################################### \ No newline at end of file
diff --git a/packaging/linux/build.sh b/packaging/linux/build.sh
index d6d7bf8..43a642e 100755
--- a/packaging/linux/build.sh
+++ b/packaging/linux/build.sh
@@ -24,8 +24,7 @@ fi
VERSION="9999"
ARCH="64b"
SVN_REV=""
-while getopts v:a:r: arg
-do
+while getopts v:a:r: arg ; do
case $arg in
v) VERSION=${OPTARG};;
a) ARCH=${OPTARG};;
@@ -71,13 +70,13 @@ if [[ ${Y} == "server" ]]; then
CMAKE_PARAMS="${CMAKE_PARAMS} -DServer=1"
fi
cd "${SOURCE}"
+rm CMakeCache.txt || ( echo "I was unable to cleanup CMakeCache.txt"; exit 1; )
+make clean >> "${LOG}"
cmake . ${CMAKE_PARAMS} >> "${LOG}" || ( echo "${ERROR_MESSAGE}"; exit 1 )
make >> "${LOG}" || ( echo "${ERROR_MESSAGE}"; exit 1 )
make install DESTDIR="${D}_${Y}_${VERSION}-${ARCH}/" >> "${LOG}" || ( echo "${ERROR_MESSAGE}"; exit 1 )
cd "${D}"_"${Y}"_"${VERSION}"-"${ARCH}"/
-`which strip` --strip-unneeded lib/tuxanci/* bin/*
-rm CMakeCache.txt || ( echo "I was unable to cleanup CMakeCache.txt"; exit 1; )
-make clean
+`which strip` --strip-unneeded lib/tuxanci/* bin/* >> "${LOG}"
done
###############################################################################
# DESTRUCTION OF SRC
@@ -89,13 +88,13 @@ rm -rf "${SOURCE}"
###############################################################################
echo "<Creating tar.bz2 archives>"
echo "<******************************>"
-for Y in ${OPTIONS}; do
+for Y in ${OPTIONS} ; do
tar cjf "${APPNAME}"_"${Y}"_"${VERSION}"-"${ARCH}".tar.bz2 "${APPNAME}"_"${Y}"_${VERSION}-"${ARCH}"/*
done
###############################################################################
# DESTRUCTION OF UNPACKED BINARIES
###############################################################################
-for Y in ${OPTIONS}; do
+for Y in ${OPTIONS} ; do
rm -rf "${APPNAME}"_"${Y}"_${VERSION}-"${ARCH}"/
done
###############################################################################
@@ -103,7 +102,13 @@ done
###############################################################################
echo "<What have i created :>"
echo "<******************************>"
-find ./ -maxdepth 1 -type f -print
+find ./ -maxdepth 1 -type f -name \*.tar.bz2 -print | while read FILE ; do
+ echo "FILE: ${FILE}"
+ echo " SIZE: $(`which du` -h ${FILE} |`which awk` -F' ' '{print $1}')"
+ echo " MD5SUM: $(`which md5sum` ${FILE} |`which awk` -F' ' '{print $1}')"
+ echo " SHA1SUM: $(`which sha1sum` ${FILE} |`which awk` -F' ' '{print $1}')"
+ echo
+done
echo
echo
echo "<GNU/Linux binary packages are ready>"